Bug 13301 - XFree-3.3 servers give XKB errors when parsing keymaps
Summary: XFree-3.3 servers give XKB errors when parsing keymaps
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: XFree86-Servers   
(Show other bugs)
Version: 7.1
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Preston Brown
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-06-30 21:48 UTC by Hans de Goede
Modified: 2008-05-01 15:37 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-07-07 21:20:01 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Hans de Goede 2000-06-30 21:48:46 UTC
I'm still using XFree86-SVGA with beta2 since XFree-4.0 still gives me
trouble (already in bugzilla)

XFree86-SVGA gives the following errors:
error opening security policy file
/usr/X11R6/lib/X11/xserver/SecurityPolicy
The XKEYBOARD keymap compiler (xkbcomp) reports:
> Error:            Can't find file "us" for symbols include
>                   Exiting
>                   Abandoning symbols file "default"
Errors from xkbcomp are not fatal to the X server
Couldn't load XKB keymap, falling back to pre-XKB keymap

Although these error are not fatal, they do cause backspace to be del in
all xprograms which is sorta annoying.

Comment 1 Jeremy Katz 2000-07-02 05:12:48 UTC
This is still broken in the -29 XFree RPM snapshots on gribble

Comment 2 Hans de Goede 2000-07-07 21:19:59 UTC
This is fixed in beta3



Note You need to log in before you can comment on or make changes to this bug.